Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509
Class X509Attribute

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.x509.X509Attribute

All Implemented Interfaces:
  DEREncodable

    public class X509Attribute

extends ASN1Encodable

Class for carrying the values in an X.509 Attribute.

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`X509Attribute(java.lang.String oid, ASN1Encodable value)` Create an X.509 Attribute with the type given by the passed in oid and the value represented by an ASN.1 Set containing value.
`X509Attribute(java.lang.String oid, ASN1EncodableVector value)` Create an X.59 Attribute with the type given by the passed in oid and the value represented by an ASN.1 Set containing the objects in value.

Method Summary
`java.lang.String` | `getOID()`
`ASN1Encodable[]` | `getValues()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509Attribute

    public X509Attribute(java.lang.String oid,
                         ASN1Encodable value)

  Create an X.509 Attribute with the type given by the passed in oid and the value represented by an ASN.1 Set containing value.

  Parameters:
    `oid` - type of the attribute
    `value` - value object to go into the atribute's value set.

### X509Attribute

    public X509Attribute(java.lang.String oid,
                         ASN1EncodableVector value)

  Create an X.59 Attribute with the type given by the passed in oid and the value represented by an ASN.1 Set containing the objects in value.

  Parameters:
    `oid` - type of the attribute
    `value` - vector of values to go in the attribute's value set.

Method Detail

### getOID

    public java.lang.String getOID()

### getValues

    public ASN1Encodable[] getValues()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD